National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2014-8989 Detail

Description

The Linux kernel through 3.17.4 does not properly restrict dropping of supplemental group memberships in certain namespace scenarios, which allows local users to bypass intended file permissions by leveraging a POSIX ACL containing an entry for the group category that is more restrictive than the entry for the other category, aka a "negative groups" issue, related to kernel/groups.c, kernel/uid16.c, and kernel/user_namespace.c.

Source:  MITRE
Description Last Modified:  11/29/2014

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 4.6 MEDIUM
Vector: (AV:L/AC:L/Au:N/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 3.9


Access Vector (AV): Local
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Provides unauthorized access
Allows unauthorized disclosure of information
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.fedoraproject.org/pipermail/package-announce/2015-January/147864.html
http://lists.fedoraproject.org/pipermail/package-announce/2015-January/147973.html
http://thread.gmane.org/gmane.linux.man/7385/ Exploit
http://www.mandriva.com/security/advisories?name=MDVSA-2015:058
http://www.openwall.com/lists/oss-security/2014/11/20/4
http://www.securityfocus.com/bid/71154
http://www.ubuntu.com/usn/USN-2515-1
http://www.ubuntu.com/usn/USN-2516-1
http://www.ubuntu.com/usn/USN-2517-1
http://www.ubuntu.com/usn/USN-2518-1

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Vulnerable software and versions Switch to CPE 2.3

Configuration 1
OR
cpe:/o:linux:linux_kernel:3.0:rc1
cpe:/o:linux:linux_kernel:3.0:rc2
cpe:/o:linux:linux_kernel:3.0:rc3
cpe:/o:linux:linux_kernel:3.0:rc4
cpe:/o:linux:linux_kernel:3.0:rc5
cpe:/o:linux:linux_kernel:3.0:rc6
cpe:/o:linux:linux_kernel:3.0:rc7
cpe:/o:linux:linux_kernel:3.0.1
cpe:/o:linux:linux_kernel:3.0.2
cpe:/o:linux:linux_kernel:3.0.3
cpe:/o:linux:linux_kernel:3.0.4
cpe:/o:linux:linux_kernel:3.0.5
cpe:/o:linux:linux_kernel:3.0.6
cpe:/o:linux:linux_kernel:3.0.7
cpe:/o:linux:linux_kernel:3.0.8
cpe:/o:linux:linux_kernel:3.0.9
cpe:/o:linux:linux_kernel:3.0.10
cpe:/o:linux:linux_kernel:3.0.11
cpe:/o:linux:linux_kernel:3.0.12
cpe:/o:linux:linux_kernel:3.0.13
cpe:/o:linux:linux_kernel:3.0.14
cpe:/o:linux:linux_kernel:3.0.15
cpe:/o:linux:linux_kernel:3.0.16
cpe:/o:linux:linux_kernel:3.0.17
cpe:/o:linux:linux_kernel:3.0.18
cpe:/o:linux:linux_kernel:3.0.19
cpe:/o:linux:linux_kernel:3.0.20
cpe:/o:linux:linux_kernel:3.0.21
cpe:/o:linux:linux_kernel:3.0.22
cpe:/o:linux:linux_kernel:3.0.23
cpe:/o:linux:linux_kernel:3.0.24
cpe:/o:linux:linux_kernel:3.0.25
cpe:/o:linux:linux_kernel:3.0.26
cpe:/o:linux:linux_kernel:3.0.27
cpe:/o:linux:linux_kernel:3.0.28
cpe:/o:linux:linux_kernel:3.0.29
cpe:/o:linux:linux_kernel:3.0.30
cpe:/o:linux:linux_kernel:3.0.31
cpe:/o:linux:linux_kernel:3.0.32
cpe:/o:linux:linux_kernel:3.0.33
cpe:/o:linux:linux_kernel:3.0.34
cpe:/o:linux:linux_kernel:3.0.35
cpe:/o:linux:linux_kernel:3.0.36
cpe:/o:linux:linux_kernel:3.0.37
cpe:/o:linux:linux_kernel:3.0.38
cpe:/o:linux:linux_kernel:3.0.39
cpe:/o:linux:linux_kernel:3.0.40
cpe:/o:linux:linux_kernel:3.0.41
cpe:/o:linux:linux_kernel:3.0.42
cpe:/o:linux:linux_kernel:3.0.43
cpe:/o:linux:linux_kernel:3.0.44
cpe:/o:linux:linux_kernel:3.0.45
cpe:/o:linux:linux_kernel:3.0.46
cpe:/o:linux:linux_kernel:3.0.47
cpe:/o:linux:linux_kernel:3.0.48
cpe:/o:linux:linux_kernel:3.0.49
cpe:/o:linux:linux_kernel:3.0.50
cpe:/o:linux:linux_kernel:3.0.51
cpe:/o:linux:linux_kernel:3.0.52
cpe:/o:linux:linux_kernel:3.0.53
cpe:/o:linux:linux_kernel:3.0.54
cpe:/o:linux:linux_kernel:3.0.55
cpe:/o:linux:linux_kernel:3.0.56
cpe:/o:linux:linux_kernel:3.0.57
cpe:/o:linux:linux_kernel:3.0.58
cpe:/o:linux:linux_kernel:3.0.59
cpe:/o:linux:linux_kernel:3.0.60
cpe:/o:linux:linux_kernel:3.0.61
cpe:/o:linux:linux_kernel:3.0.62
cpe:/o:linux:linux_kernel:3.0.63
cpe:/o:linux:linux_kernel:3.0.64
cpe:/o:linux:linux_kernel:3.0.65
cpe:/o:linux:linux_kernel:3.0.66
cpe:/o:linux:linux_kernel:3.0.67
cpe:/o:linux:linux_kernel:3.0.68
cpe:/o:linux:linux_kernel:3.1
cpe:/o:linux:linux_kernel:3.1:rc1
cpe:/o:linux:linux_kernel:3.1:rc2
cpe:/o:linux:linux_kernel:3.1:rc3
cpe:/o:linux:linux_kernel:3.1:rc4
cpe:/o:linux:linux_kernel:3.1.1
cpe:/o:linux:linux_kernel:3.1.2
cpe:/o:linux:linux_kernel:3.1.3
cpe:/o:linux:linux_kernel:3.1.4
cpe:/o:linux:linux_kernel:3.1.5
cpe:/o:linux:linux_kernel:3.1.6
cpe:/o:linux:linux_kernel:3.1.7
cpe:/o:linux:linux_kernel:3.1.8
cpe:/o:linux:linux_kernel:3.1.9
cpe:/o:linux:linux_kernel:3.1.10
cpe:/o:linux:linux_kernel:3.2
cpe:/o:linux:linux_kernel:3.2::~~~~x86~
cpe:/o:linux:linux_kernel:3.2:rc2
cpe:/o:linux:linux_kernel:3.2:rc3
cpe:/o:linux:linux_kernel:3.10
cpe:/o:linux:linux_kernel:3.10.0::~~~~arm64~
cpe:/o:linux:linux_kernel:3.10.1
cpe:/o:linux:linux_kernel:3.10.1::~~~~arm64~
cpe:/o:linux:linux_kernel:3.10.2
cpe:/o:linux:linux_kernel:3.10.2::~~~~arm64~
cpe:/o:linux:linux_kernel:3.10.3
Showing 100 of 204 CPEs, view all CPEs here.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

5 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2014-8989
NVD Published Date:
11/29/2014
NVD Last Modified:
01/02/2017